post
https://api.instantpay.in/user/outlet/signup/biometricKyc
Merchant Biometric KYC enables verification of a merchant’s identity using their Aadhaar-based biometric authentication. During this process, the merchant’s Aadhaar details (such as fingerprint) are securely captured and validated against UIDAI records to confirm authenticity.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code -1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client ID | M | Y |
| X-Ipay-Client-Secret | String | Unique secret key | M | Y |
| X-Ipay-Endpoint-Ip | String | End Customer IP Address | M | N |
| X-Ipay-Outlet-Ip | String | Merchant's unique Identification number | M | N |
Request Parameters
| Parameters | Type | Mandatory (M) , Optional(O) | Description |
|---|---|---|---|
| referenceKey | String | M | Can be obtained from the response of MErchant biometric ekyc status API |
| latitude | String | M | Latitude of the transaction's location |
| longitude | String | M | Longitude of the transaction's location |
| externalRef | String | M | Unique to every transaction |
| captureType | String | O | Type of biometric data (face/ finger) |
| biometricData | array | M | Mobile Number of Customers |
| encryptedAadhaar | String | O(Mandatory if outletAadhaarNumber is empty) | Aadhaar number encrypted in aes-256 format |
| biometricData.dc | String | M | Returned by RD Service when using biometric authentication. Registered Device code. |
| biometricData.ci | String | M | Returned by RD Service when using biometric authentication. Public key certificate identifier of UIDAI using which skey was encrypted. |
| biometricData.hmac | String | M | Returned by RD Service when using biometric authentication. SHA -256 Hash of PID XML and then encrypted and base 64 encoded |
| biometricData.dpId | String | M | Returned by RD Service when using biometric authentication. Device provider Id. |
| biometricData.mc | String | M | Returned by RD Service when using biometric authentication. encrypted registered device public key certificate |
| biometricData.pidDataType | String | M | Returned by RD Service when using biometric authentication |
| biometricData.rdsId | String | M | Returned by RD Service when using biometric authentication. RD Service Id |
| biometricData.sessionKey | String | M | Returned by RD Service when using biometric authentication. AES session key generated dynamically for every txn. |
| biometricData.mi | String | M | Returned by RD Service when using biometric authentication. RD model Id. |
| biometricData.errInfo | String | M | Information about the error |
| biometricData.errCode | String | M | 0(Default)- Request success |
| biometricData.fCount | String | M | Total number of FIR records which was part of input. |
| biometricData.fType | String | M | When connecting the Device to RD service send ftype 2 in the request. |
| biometricData.iCount | String | M | Total number of IIR records which was part of input. |
| biometricData.iType | String | M | ISO format (0 for IIR), 0 (IIR) is default. |
| biometricData.pCount | String | M | Number of face photo records to be captured (0 to 1). |
| biometricData.pType | String | M | Face format |
| biometricData.srno | String | M | Serial Number of biometric device. |
| biometricData.sysid | String | M | System Id |
| biometricData.ts | String | M | Current Timestamp |
| biometricData.pidData | String | M | Returned by RD Service when using biometric authentication. |
| biometricData.qScore | String | M | If quality check is done, send a normalized score that is between 0 and 100. Device providers may allow configuration within RD service to use specific quality check algorithms to be enabled. |
| biometricData.nmPoint | String | M | Number of minutiae points when FMR is captured. Applications may use this for accepting or retrying the capture. |
| biometricData.rdsVer | String | M | Returned by RD Service when using biometric authentication. RD Service version. |
Request Parameters
POST https://api.instantpay.in/user/outlet/signup/biometricKyc
X-Ipay-Endpoint-Ip: {{endpointIP}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
X-Ipay-Outlet-Id:{{outletId}}
{
"referenceKey": "qgvE86a9iLnUDjF+QICtLQYdUQP3rTipRtxaE9T6IcpEeO6ifmZV+7QA28rp9gFp",
"latitude": "28.70406",
"longitude": "77.10249",
"externalRef":"1762931326-ABC-123",
"biometricData": {
"encryptedAadhaar" : "",
"dc" : "",
"ci" : "",
"hmac" : "",
"dpId" : "",
"mc" : "",
"pidDataType":"",
"rdsId" : "",
"sessionKey" : "",
"mi" : "",
"errCode" :"",
"errInfo" :"",
"fCount" :"",
"fType" :"",
"iCount" :"",
"iType" :"",
"pCount" :"",
"pType" :"",
"srno":"",
"sysid":"",
"ts":"",
"pidData":"",
"qScore":"",
"nmPoints":"",
"rdsVer" : ""
}
}
POST /user/outlet/signup/biometricKyc HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Outlet-Id: {{OutletId}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"encryptedAadhaar" : "",
"dc" : "",
"ci" : "",
"hmac" : "",
"dpId" : "",
"mc" : "",
"pidDataType":"",
"rdsId" : "",
"sessionKey" : "",
"mi" : "",
"errCode" :"",
"errInfo" :"",
"fCount" :"",
"fType" :"",
"iCount" :"",
"iType" :"",
"pCount" :"",
"pType" :"",
"srno":"",
"sysid":"",
"ts":"",
"pidData":"",
"qScore":"",
"nmPoints":"",
"rdsVer" : ""
}Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Current time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Success",
"data": null,
"timestamp": "2025-11-12 12:38:21",
"ipay_uuid": "h000a0567163-d19d-42fb-9539-4658fcc33167-uLVR1Bqhtg9K",
"orderid": null,
"environment": "LIVE"
} 
